html{
    position: relative;
    min-height: 100%
}

body{

    background-color: #ffffff;
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    width: 100%;
    min-height: 100%;
}

/* page loader start */
#pageLoader {
    padding: 0;
    margin: 0;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: white;
    z-index: 999;
    vertical-align: middle;
}

/* page loader end*/

#innerContent{
    min-height: 400px;
}

.invisible{
    display:none;
}

.break{
    clear:both;
}


.smallTopSpacing{
    margin-top: 5px;
}

/* text styles */
.text-small {
    font-size: 12px;
}


/* main classes for dojox.widget.Toaster */

.dijitToasterContent {
    padding:1em;
    padding-top:0.25em;
    background:#73c74a;

}

.dijitToasterMessage{
    color:#fff;

}

.dijitToasterWarning,
.dijitToasterError,
.dijitToasterFatal{
    font-weight:bold;
    color:#fff;

}

.dijitToasterWarning .dijitToasterContent{
    background:#d4d943;
}

.dijitToasterError .dijitToasterContent{
    background:#c46600;
}

/* imported from dijit.css */

.dijitToasterClip {
    position: absolute;
    z-index: 5000;
    overflow: hidden;
}

.dijitToasterContainer {
    display: block;
    position: absolute;
    width: 17.5em;
    margin: 0px;
    font-size:26pt;
}

/* custom Toaster widget */
.toaster-holder
{
    position: fixed;
    z-index: 999999;
    right: 12px;
    bottom: 12px;
}

.toaster-holder .toaster-item
{
    text-align:left;
    position: relative;
    -moz-transition: -moz-transform 0.5s;
    -ms-transition: -ms-transform 0.5s;
    -webkit-transition: -webkit-transform 0.5s;
    transition: transform 0.5s;
    -moz-transform: translate3d(0, 300%, 0);
    -ms-transform: translate3d(0, 300%, 0);
    -webkit-transform: translate3d(0, 300%, 0);
    transform: translate3d(0, 300%, 0);
    width: 500px;
    padding: 15px;
    color: #fff;
    -moz-border-radius: 3px;
    -ms-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    margin-bottom: 6px;
    -moz-box-shadow: 0 0 12px #999;
    -ms-box-shadow: 0 0 12px #999;
    -webkit-box-shadow: 0 0 12px #999;
    box-shadow: 0 0 12px #999;
    font-size: 26px;
    opacity: 0.9;
}

.toaster-holder .toaster-item.message
{
    background-color: #51a351;
}

.toaster-holder .toaster-item.warning
{
    background-color:#f89406;
}

.toaster-holder .toaster-item.error
{
    background-color: #bd362f;
}

.toaster-holder .toaster-item.fatal
{
    background-color: #bd362f;
}

.toaster-holder .toaster-item.show
{
    -moz-transform: translate3d(0, 0, 0);
    -ms-transform: translate3d(0, 0, 0);
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
}

/* custom Toaster widget end */




/*  Standard row of buttons */

.rowOfButtons{
    border-top: thin solid #a9a9a9;
    margin-top: 15px;
    padding-left: 15px;
    margin-bottom: 15px;
    padding-top: 15px;
    padding-right:15px;
    text-align: right;
}




/* add / edit dialog  */

.dataEntryCol1{
    width: 140px;
    float: left;
}

.dataEntryCol2{
    width: 240px;
    float: left;
}

.dataEntryCol3{
    width: 240px;
    float: left;
}

.dataEntrySectionTitle{
    font-weight: bold;
    font-size: 115%;
    margin-bottom: 7px;
}

.dataEntryFormRow{
    margin-bottom: 9px;
    height: 30px;
    margin-left: 40px;
}



/*  Custom Forms  */

.minHeightRadio{
    min-height: 2.5em;
}

.smallTopSpacing{
    margin-top: 9px;
}

.desktopIndent{
    margin-left: 25px;
}

.formTitle{
    margin-top: 25px;
    margin-bottom: 25px;
    text-align: center;
    font-size: 150%;
}

.listColHeader{
    background-color: darkgrey;
    color: #000000;
    padding-top: 5px;
    padding-bottom: 5px;
    text-align: center;
    font-size: 110%;
}

.i9ListOption{
    margin-top:1em;
    margin-bottom: 1em;
}

.listRadio{
    width: 27px;
    float: left;
}

.listDescr{
    width: 85%;
    float: left;
}

.listChooser{
    background-color: darkgrey;
    padding-top: .5em;
    padding-bottom: .5em;
    text-align: center;
    cursor: pointer;
    font-weight:  bold;
}


hr.fancy-line {
    border: 0;
    height: 1px;

}
hr.fancy-line:before {
    top: -0.5em;
    height: 1em;
}
hr.fancy-line:after {
    content:'';
    height: 0.5em;
    top: 1px;
}

hr.fancy-line:before, hr.fancy-line:after {
    content: '';
    position: absolute;
    width: 100%;
}

hr.fancy-line, hr.fancy-line:before {
    background: radial-gradient(ellipse at center, rgba(0,0,0,0.1) 0%,rgba(0,0,0,0) 75%);
}

.dbootstrap .no-outline.dijitFocusedLabel
{
    outline: none;
}


/*  Custom disabled dijits  */
.lightDisabled .dijitDisabled *  {
    background-color: #f2f2f2 !important;
    color: #555 !important;
    opacity: 1.0 !important;
}

.life-ring{
    color: #c10000;
    font-size: 20px;
    cursor: pointer;
    padding-left: 10px;
    padding-bottom: 3px;
}

.helpdisc{
    color: #0a66aa;
}

/* mobile */
@media (max-width: 767px)
{
    .toaster-holder .toaster-item
    {
        width: 375px;
        font-size: 16px;
    }

    .dbootstrap .dijitDialog .dijitDialogPaneContentArea
    {
        width: 350px;
        max-width: 350px;
        padding: 10px;
    }

    .dbootstrap .dijitDialog .dijitDialogPaneContent
    {
        overflow-y: auto;
    }

    #obAdminMenu
    {
        display: none;
    }
}

@media (max-width: 375px)
{
    #dlgSubmitHelpRequest .dijitDialogPaneContentArea > div
    {
        width: 300px !important;
    }

    .toaster-holder .toaster-item
    {
        width: 325px;
    }
}

@media (max-width: 340px)
{
    #dlgSubmitHelpRequest .dijitDialogPaneContentArea > div
    {
        width: 260px !important;
    }

    .toaster-holder .toaster-item
    {
        width: 290px;
    }
}

@media (max-width: 320px)
{
    .toaster-holder .toaster-item
    {
        width: 270px;
    }
}